dbXML API

## com.dbxml.db.core.query
Class QueryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.dbxml.util.dbXMLException
                  com.dbxml.db.core.DBException
                      com.dbxml.db.core.query.QueryException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CompilationException, NotSupportedException, ProcessingException, StyleNotFoundException

public class QueryException
extends DBException

A QueryException is thrown by a Query if an exception occurs in the processing of the Query.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.dbxml.util.dbXMLException
`faultCode`

Constructor Summary
`QueryException(int faultCode)`
`QueryException(int faultCode, java.lang.String message)`
`QueryException(int faultCode, java.lang.String message, java.lang.Throwable wrapped)`
`QueryException(int faultCode, java.lang.Throwable wrapped)`

Methods inherited from class com.dbxml.util.dbXMLException
`getFaultCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryException

    public QueryException(int faultCode)

### QueryException

    public QueryException(int faultCode,
                          java.lang.Throwable wrapped)

### QueryException

    public QueryException(int faultCode,
                          java.lang.String message)

### QueryException

    public QueryException(int faultCode,
                          java.lang.String message,
                          java.lang.Throwable wrapped)

dbXML API

Copyright (c) 2004 The dbXML Group